curl --request GET \
--url https://ai.wisepilot.app/api/v1/lifecycle/{entityType}/{entityId}/status \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"entityType": "<string>",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleKey": "<string>",
"currentStepId": "<string>",
"currentStepLabel": "<string>",
"readinessScore": 123,
"steps": [
{
"id": "<string>",
"label": "<string>",
"status": "completed",
"criteria": [
{
"type": "<string>",
"met": true,
"label": "<string>"
}
]
}
]
}
}Returns the current lifecycle state for an entity — active step, completed steps, step criteria, and readiness score.
curl --request GET \
--url https://ai.wisepilot.app/api/v1/lifecycle/{entityType}/{entityId}/status \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"entityType": "<string>",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleKey": "<string>",
"currentStepId": "<string>",
"currentStepLabel": "<string>",
"readinessScore": 123,
"steps": [
{
"id": "<string>",
"label": "<string>",
"status": "completed",
"criteria": [
{
"type": "<string>",
"met": true,
"label": "<string>"
}
]
}
]
}
}API key prefixed with cr_ (e.g. cr_a1b2c3...)
Entity type (e.g. blog, ad-creative, cta, nurture-sequence)